Updates the job_priority object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "7693b9d4-77ef-4249-aeed-a30ecd5aaaf2",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "99d2ddc5-d42f-4950-9d96-1d37fba12aa4",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5286330a-d816-4506-9c5d-06134e7c7fed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5e396015-641a-40cf-9d47-7f61432a8c7f",
"db_currency_id": "174b6a52-f6a3-44c3-9d8b-be3c2e9bde21",
"db_language_id": "fa4cbe64-d514-43ba-9f20-d5be2cf4fe91",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-15T23:47:41.5713586+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-07-15T23:47:41.5713586+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.